
From: Zwane Mwaikambo <zwane@arm.linux.org.uk>

The following processor was marked as unsupported, there are no documented
changes in the performance counter interface for this processor.

Hardware courtesy of Intel Corporation

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      : Genuine Intel(R) CPU 3.60GHz
stepping        : 1
cpu MHz         : 3600.761
cache size      : 1024 KB
physical id     : 0
siblings        : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm pni 
monitor ds_cpl tm2 cid cx16 xtpr
bogomips        : 7110.65

CPU: P4 / Xeon with 2 hyper-threads, speed 3601.79 MHz (estimated)
Counted GLOBAL_POWER_EVENTS events (time during which processor is not 
stopped) with a unit mask of 0x01 (count cycles when processor is active) 
count 10000

Signed-off-by: Zwane Mwaikambo <zwane@arm.linux.org.uk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/oprofile/nmi_int.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/oprofile/nmi_int.c~oprofile-support-model-4-p4 arch/i386/oprofile/nmi_int.c
--- 25/arch/i386/oprofile/nmi_int.c~oprofile-support-model-4-p4	2005-01-28 14:21:49.400791720 -0800
+++ 25-akpm/arch/i386/oprofile/nmi_int.c	2005-01-28 14:21:49.404791112 -0800
@@ -304,7 +304,7 @@ static int __init p4_init(char ** cpu_ty
 {
 	__u8 cpu_model = boot_cpu_data.x86_model;
 
-	if (cpu_model > 3)
+	if (cpu_model > 4)
 		return 0;
 
 #ifndef CONFIG_SMP
_
